
Redmine - Patch #37698

Persian translation update for 4.2-stable

2022-09-20 19:49 - salman mp

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 4.2.8   

Description

I have added some missing translation for Persian language and reorder items to be same as 'en' locale. related #33219

Thanks.

Associated revisions

Revision 21836 - 2022-09-25 04:33 - Go MAEDA

Persian translation update for 4.2-stable (#37698).

Patch by salman mp.

Revision 21837 - 2022-09-25 04:34 - Go MAEDA

Merged r21836 from trunk to 5.0-stable (#37698).

Revision 21838 - 2022-09-25 04:36 - Go MAEDA

Merged r21836 from trunk to 4.2-stable (#37698).

Revision 21839 - 2022-09-25 04:46 - Go MAEDA

Reorder keys in the same order as en.yml (#37698).

Patch by salman mp.

History

#1 - 2022-09-21 02:40 - Go MAEDA

Could you split the patch into two parts, reordering and translation updates? (linke #36493#note-3)

Doing two things in one patch makes it difficult to track changes.

#2 - 2022-09-21 13:02 - salman mp

Doing two things in one patch makes it difficult to track changes.

 OMG! What a hard work! :)

I think there is no change on old translations and I only translated some new entries to persian.

With these description, is it still necessary?

#3 - 2022-09-21 13:20 - Go MAEDA

- Assignee set to Go MAEDA

salman mp wrote:

OMG! What a hard work! :)

 OK, I will do the job.

#4 - 2022-09-21 13:42 - salman mp
OK, I will do the job.

 Thank you. How do you do that? Is there any tools to help do same things?

#5 - 2022-09-24 02:51 - Go MAEDA

- File 0001-Persian-translation-update.patch added

- File 0002-Reorder-keys.patch added

- Assignee changed from Go MAEDA to salman mp

Hi salman mp, I split your patch into two parts. Could you review it? In particular, I would like you to review the first patch carefully to see if I have

broken Persian strings.

0001-Persian-translation-update.patch

0002-Reorder-keys.patch

salman mp wrote:

How do you do that? Is there any tools to help do same things?

 No, I don't know such a tool. I did it with my hands and small makeshift scripts.

#6 - 2022-09-24 17:37 - salman mp

Go MAEDA wrote:

Hi salman mp, I split your patch into two parts. Could you review it? In particular, I would like you to review the first patch carefully to see if I have

broken Persian strings.

 Hi, I saw the first patch and I found nothing wrong there. Thank you again.

#7 - 2022-09-24 17:48 - salman mp

- File 0001-Persian-translation-update.patch added

I found tiny mistake from myself patch and resolve it in this new patch.

-  label_project_copy_notifications: در هنگام رونویسی، پروژه رایانامه‌های آگاه‌سازی را بفرست

+  label_project_copy_notifications: در هنگام رونویسی پروژه، رایانامه‌های آگاه‌سازی را بفرست

#8 - 2022-09-25 04:47 - Go MAEDA

- Subject changed from Update Persian translation to redmine-4.2.7 to Persian translation update for 4.2-stable

- Status changed from New to Closed

- Assignee changed from salman mp to Go MAEDA

- Target version set to 4.2.8

Committed the patches. Thank you for your contribution.

Files

update_to_redmine-4_2_7_and_reorder_to_be_same_as__en__locale.patch57.4 KB 2022-09-20 salman mp

0001-Persian-translation-update.patch 35.6 KB 2022-09-24 Go MAEDA

0002-Reorder-keys.patch 52.6 KB 2022-09-24 Go MAEDA

0001-Persian-translation-update.patch 35.6 KB 2022-09-24 salman mp
